summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-irc')
-rw-r--r--net-irc/dccserver/dccserver-0.5-r2.ebuild30
-rw-r--r--net-irc/dccserver/files/dccserver-0.5-include-bsd-string-header.patch19
-rw-r--r--net-irc/eggdrop/Manifest2
-rw-r--r--net-irc/eggdrop/eggdrop-1.9.4.ebuild (renamed from net-irc/eggdrop/eggdrop-1.9.2.ebuild)8
-rw-r--r--net-irc/emech/Manifest1
-rw-r--r--net-irc/emech/emech-3.0.99_p20221123.ebuild90
-rw-r--r--net-irc/emech/files/emech-3.0.99_p20221123-fix-Wreturn-type.patch34
-rw-r--r--net-irc/emech/metadata.xml3
-rw-r--r--net-irc/ergo/Manifest2
-rw-r--r--net-irc/ergo/ergo-2.11.0.ebuild69
-rw-r--r--net-irc/ergo/ergo-2.11.1.ebuild69
-rw-r--r--net-irc/hexchat/hexchat-2.16.1-r1.ebuild6
-rw-r--r--net-irc/hexchat/hexchat-2.16.1.ebuild4
-rw-r--r--net-irc/hexchat/hexchat-9999.ebuild4
-rw-r--r--net-irc/inspircd/Manifest6
-rw-r--r--net-irc/inspircd/inspircd-3.14.0-r1.ebuild4
-rw-r--r--net-irc/inspircd/inspircd-3.15.0.ebuild (renamed from net-irc/inspircd/inspircd-3.13.0-r1.ebuild)21
-rw-r--r--net-irc/inspircd/metadata.xml2
-rw-r--r--net-irc/ircii/ircii-20210314-r2.ebuild (renamed from net-irc/ircii/ircii-20210314-r1.ebuild)5
-rw-r--r--net-irc/ircmap/ircmap-0.99-r1.ebuild12
-rw-r--r--net-irc/irker/irker-2.22-r2.ebuild4
-rw-r--r--net-irc/iroffer-dinoex/metadata.xml4
-rw-r--r--net-irc/irssi/metadata.xml4
-rw-r--r--net-irc/konversation/Manifest2
-rw-r--r--net-irc/konversation/konversation-22.08.3.ebuild2
-rw-r--r--net-irc/konversation/konversation-22.12.1.ebuild (renamed from net-irc/konversation/konversation-22.04.3.ebuild)12
-rw-r--r--net-irc/kvirc/kvirc-5.2_pre20210630233331-r1.ebuild4
-rw-r--r--net-irc/kvirc/kvirc-9999.ebuild4
-rw-r--r--net-irc/limnoria/limnoria-20220814.ebuild4
-rw-r--r--net-irc/limnoria/limnoria-20220927.ebuild4
-rw-r--r--net-irc/limnoria/limnoria-20221116.ebuild4
-rw-r--r--net-irc/limnoria/limnoria-99999999.ebuild4
-rw-r--r--net-irc/onis/onis-0.8.2-r2.ebuild (renamed from net-irc/onis/onis-0.8.2-r1.ebuild)23
-rw-r--r--net-irc/polari/Manifest1
-rw-r--r--net-irc/polari/polari-42.0.ebuild52
-rw-r--r--net-irc/polari/polari-43.0.ebuild2
-rw-r--r--net-irc/quasselgrep/quasselgrep-0_p20200830.ebuild4
-rw-r--r--net-irc/scrollz/scrollz-2.3.1.ebuild4
-rw-r--r--net-irc/soju/Manifest2
-rw-r--r--net-irc/soju/files/soju.initd30
-rw-r--r--net-irc/soju/metadata.xml15
-rw-r--r--net-irc/soju/soju-0.5.2.ebuild54
-rw-r--r--net-irc/telepathy-idle/telepathy-idle-0.2.2.ebuild4
-rw-r--r--net-irc/unrealircd/Manifest4
-rw-r--r--net-irc/unrealircd/files/unrealircd-6.0.4.2-configure-clang16.patch64
-rw-r--r--net-irc/unrealircd/unrealircd-6.0.4.2.ebuild (renamed from net-irc/unrealircd/unrealircd-6.0.4.1.ebuild)18
-rw-r--r--net-irc/weechat/Manifest2
-rw-r--r--net-irc/weechat/weechat-3.6.ebuild4
-rw-r--r--net-irc/weechat/weechat-3.7.1.ebuild6
-rw-r--r--net-irc/weechat/weechat-3.8.ebuild183
-rw-r--r--net-irc/weechat/weechat-9999.ebuild6
-rw-r--r--net-irc/znc-palaver/znc-palaver-1.2.2.ebuild4
-rw-r--r--net-irc/znc/znc-1.8.2-r1.ebuild4
-rw-r--r--net-irc/znc/znc-1.8.2-r2.ebuild4
-rw-r--r--net-irc/znc/znc-9999.ebuild4
55 files changed, 774 insertions, 163 deletions
diff --git a/net-irc/dccserver/dccserver-0.5-r2.ebuild b/net-irc/dccserver/dccserver-0.5-r2.ebuild
new file mode 100644
index 00000000000..1399170485f
--- /dev/null
+++ b/net-irc/dccserver/dccserver-0.5-r2.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Linux implementation of the mirc dccserver command"
+HOMEPAGE="https://www.nih.at/dccserver/"
+SRC_URI="https://www.nih.at/dccserver/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~riscv ~x86"
+
+RDEPEND="dev-libs/libbsd"
+DEPEND="${RDEPEND}"
+
+PATCHES=( "${FILESDIR}/${P}-include-bsd-string-header.patch" )
+
+src_prepare() {
+ default
+
+ # Respect AR
+ sed -i -e "s/AR = /AR ?= /" lib/Makefile.in || die
+}
+
+src_compile() {
+ AR="$(tc-getAR)" default
+}
diff --git a/net-irc/dccserver/files/dccserver-0.5-include-bsd-string-header.patch b/net-irc/dccserver/files/dccserver-0.5-include-bsd-string-header.patch
new file mode 100644
index 00000000000..16474b64b82
--- /dev/null
+++ b/net-irc/dccserver/files/dccserver-0.5-include-bsd-string-header.patch
@@ -0,0 +1,19 @@
+This uses strlcpy() from bsd/string.h. On non BSD system those headers are to find under
+/usr/include/bsd/. See also man libbsd.
+
+Bug: https://bugs.gentoo.org/875026
+Bug: https://bugs.gentoo.org/861377
+
+Pascal Jäger <pascal.jaeger@leimstift.de> (2022-11-29)
+
+--- a/lib/dcc.c
++++ b/lib/dcc.c
+@@ -37,7 +37,7 @@
+ #endif /* HAVE_ERR_H */
+ #include <errno.h>
+ #include <stdlib.h>
+-#include <string.h>
++#include <bsd/string.h>
+
+ #include "dcc.h"
+ #include "io.h"
diff --git a/net-irc/eggdrop/Manifest b/net-irc/eggdrop/Manifest
index e07b2f3fb04..8d09716059f 100644
--- a/net-irc/eggdrop/Manifest
+++ b/net-irc/eggdrop/Manifest
@@ -1,3 +1,3 @@
DIST eggdrop-1.9.1.tar.gz 2271120 BLAKE2B 73fadeddcebeba5de42328f6f02c05e850e47c19812bc1a868da09f55fd1d297e3596c5a4b167806237554966e7dfbebadcee6215932c56a76b3e67a77d5ee47 SHA512 d8907d265f7e22f3bcd3e28b256c5788d5959ad11cc1425d59eb4411ebbc172fe8d90c31fd9f033369ab80cd29a36a5856f6bd32bc6c9cdfedea1d6509ea7f3b
-DIST eggdrop-1.9.2.tar.gz 2296300 BLAKE2B ed409896718e45daab2b21c25e7f1a5a2664ef8afec7127943abb3018ce963413e714618ee730ef2c49e4542c6e87377cff405ee36ce91448335adf6c7ab5a8a SHA512 67c8053a79ab5c4c418164e4e12f89a6e111b06b4e6dfdc69c52913b2f3b9a58b065a7601165112071c9ca2a778269aeb95c749a9da787c1932e6471a23146ce
DIST eggdrop-1.9.3.tar.gz 2046726 BLAKE2B 979190536c3c0718ef4b030d8f6df817b8ee823854c104b7d6f9009c10a7f8394d59afca40fc5c9778f130788fac7e14458d62d30a55413dea4653ca00c83f0a SHA512 67d6d0f798222e54e09acb319aa4926181c34b6e4cdc2cbb4fc7a8433915a7d6281904fd190fe2ee92bcc2cb99943e3fb5b9d99831cc0bfd930205e63e33d1a1
+DIST eggdrop-1.9.4.tar.gz 2065217 BLAKE2B f9d1e6c0491d6c7959e3b67e8186082d074d648497cd66f244dfb4c919a566d81fdce83d034f0cc1e5247bc924022faf56004cdd8a6cc174fe8d0f44af5e2a9a SHA512 ed3145411a1832d1a6d4f191c6ff30e64aa45f803df00585c1c69f6bbc8a16d07e9608c57e31fb723f7a9c66a24422e5080aab7746e562ac5b6a678a08c7b2a4
diff --git a/net-irc/eggdrop/eggdrop-1.9.2.ebuild b/net-irc/eggdrop/eggdrop-1.9.4.ebuild
index 31868072cbc..0e23b091183 100644
--- a/net-irc/eggdrop/eggdrop-1.9.2.ebuild
+++ b/net-irc/eggdrop/eggdrop-1.9.4.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
inherit readme.gentoo-r1
@@ -14,7 +14,7 @@ S="${WORKDIR}/${MY_P}"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~riscv ~sparc ~x86"
LICENSE="GPL-2+"
SLOT="0"
-IUSE="debug doc ipv6 ssl static"
+IUSE="debug doc ssl static"
DEPEND="
dev-lang/tcl:0=
@@ -28,8 +28,8 @@ RDEPEND="
DOCS=( AUTHORS FEATURES INSTALL NEWS README THANKS UPGRADING )
src_configure() {
- econf $(use_enable ssl tls) \
- $(use_enable ipv6 ipv6)
+ econf --enable-ipv6 \
+ $(use_enable ssl tls)
emake config
}
diff --git a/net-irc/emech/Manifest b/net-irc/emech/Manifest
index d90afca0816..e553ba254ba 100644
--- a/net-irc/emech/Manifest
+++ b/net-irc/emech/Manifest
@@ -1 +1,2 @@
+DIST emech-3.0.99_p20221123.tar.gz 290464 BLAKE2B a5b5bb057478e720d7e9039b4f1039b88d31dcb6f07b5fcbe1dfe5d29760336313183763ff35b8b66aba6402316d800a48b5509318a98cf9ab2729da7862a787 SHA512 e69455de286f3666ea8c53b9035ee927d5aff240ecf424c10d9eda6e1e957d97cba476c1b65cc6581e118938785366d313a687a00004e3d5f589a671194db41e
DIST emech-3.0.99p3.tar.gz 249209 BLAKE2B 8ff0806275f7b1c9e49bb2eeda2afa0ac94b894426a2f56508492f970070e4141f14f88ffb3c1c46855817c405d29454cf85ebba53c85b4038d7d9d079f4dff6 SHA512 8ce6f8889e060791ab3af6fa63623469a457c436b4e23c51dcd1833fd09e7692270a324ad1d15beb4ad390e9d481267a8ea60eb17c9fd3195b5ad0daf7341165
diff --git a/net-irc/emech/emech-3.0.99_p20221123.ebuild b/net-irc/emech/emech-3.0.99_p20221123.ebuild
new file mode 100644
index 00000000000..f7107601feb
--- /dev/null
+++ b/net-irc/emech/emech-3.0.99_p20221123.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit readme.gentoo-r1 toolchain-funcs
+
+GIT_COMMIT="62b62c8388fac3b3715c5d6539e1d704b16fa2d6"
+
+DESCRIPTION="UNIX compatible IRC bot programmed in C"
+HOMEPAGE="https://github.com/EnergyMech/energymech"
+SRC_URI="https://github.com/EnergyMech/energymech/archive/${GIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/energymech-${GIT_COMMIT}"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="debug session tcl"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+RDEPEND="virtual/libcrypt:="
+DEPEND="${RDEPEND}"
+
+DOC_CONTENTS="You can find a compressed sample config file at /usr/share/doc/${PF}"
+
+PATCHES=( "${FILESDIR}/${P}-fix-Wreturn-type.patch" )
+src_prepare() {
+ default
+
+ sed -i \
+ -e 's:"help/":"/usr/share/energymech/help/":' \
+ src/config.h.in || die
+ # Respect CFLAGS and LDFLAGS
+ sed -i \
+ -e '/^LFLAGS/s/\$(PIPEFLAG)/\0 \$(OPTIMIZE) \$(LDFLAGS)/' \
+ -e '/^GDBFLAG/d' \
+ -e '/^PIPEFLAG/d' \
+ src/Makefile.in || die
+}
+
+src_configure() {
+ tc-export CC
+ myconf=(
+ --with-alias
+ --with-botnet
+ --with-bounce
+ --with-ctcp
+ --with-dccfile
+ --with-dynamode
+ --with-dyncmd
+ --with-greet
+ --with-ircd_ext
+ --with-md5
+ --with-newbie
+ --with-note
+ --with-notify
+ --with-rawdns
+ --with-seen
+ --with-stats
+ --with-telnet
+ --with-toybox
+ --with-trivia
+ --without-uptime
+ --with-web
+ --with-wingate
+ --without-profiling
+ --without-redirect
+ $(use_with tcl)
+ $(use_with session)
+ $(use_with debug)
+ )
+ # not econf because we don't use autotools
+ ./configure "${myconf[@]}" || die "Configure failed"
+}
+
+src_compile() {
+ emake -C src CC="$(tc-getCC)" OPTIMIZE="${CFLAGS}"
+}
+
+src_install() {
+ dobin src/energymech
+
+ insinto /usr/share/energymech
+ doins -r help
+
+ insinto /usr/share/energymech/messages
+ doins common/*.txt
+
+ dodoc sample.* README* TODO VERSIONS CREDITS checkmech
+ readme.gentoo_create_doc
+}
diff --git a/net-irc/emech/files/emech-3.0.99_p20221123-fix-Wreturn-type.patch b/net-irc/emech/files/emech-3.0.99_p20221123-fix-Wreturn-type.patch
new file mode 100644
index 00000000000..0413a61dcad
--- /dev/null
+++ b/net-irc/emech/files/emech-3.0.99_p20221123-fix-Wreturn-type.patch
@@ -0,0 +1,34 @@
+QA warns about non-void functions returning no value. Both function are not used
+anywhere in the code anyway.
+
+Pascal Jäger <pascal.jaeger@leimstift.de> (2022-11-23)
+
+--- a/src/spy.c
++++ b/src/spy.c
+@@ -460,7 +460,7 @@ void end_redirect(void)
+ char *urlhost(const char *url)
+ {
+ char copy[strlen(url)];
+- const char *end,*beg,*dst;
++ char *end,*beg,*dst;
+ int n = 0;
+
+ beg = end = url;
+@@ -481,6 +481,7 @@ char *urlhost(const char *url)
+ end++;
+ }
+ stringcpy_n(copy,beg,(end-beg));
++ return beg;
+ #ifdef DEBUG
+ debug("(urlhost) host = %s\n",copy);
+ #endif
+--- a/src/toybox.c
++++ b/src/toybox.c
+@@ -196,6 +196,7 @@ int read_bigcharset(char *fname)
+ int read_ascii(char *rest)
+ {
+ to_user_q(global_from,FMT_PLAIN,rest);
++ return (0);
+ }
+
+ #ifdef TRIVIA
diff --git a/net-irc/emech/metadata.xml b/net-irc/emech/metadata.xml
index bef24d2c233..6c1ae347173 100644
--- a/net-irc/emech/metadata.xml
+++ b/net-irc/emech/metadata.xml
@@ -2,4 +2,7 @@
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<!-- maintainer-needed -->
+ <upstream>
+ <remote-id type="github">EnergyMech/energymech</remote-id>
+ </upstream>
</pkgmetadata>
diff --git a/net-irc/ergo/Manifest b/net-irc/ergo/Manifest
index 6a7eff9494a..7c915cbb97a 100644
--- a/net-irc/ergo/Manifest
+++ b/net-irc/ergo/Manifest
@@ -1 +1,3 @@
DIST ergo-2.10.0.tar.gz 3256716 BLAKE2B 72f1d6464ee434508b9944a9923435cda01e97c8b542c7c77c74562309a6b9ed727b5ae7c444f6e95517482fd87f34623d477e14c1dfbe323a7d81ace5c3e111 SHA512 952ef22b28d8de0814f04ece55b8ff88f405f184d8ecfce45c4af63e8c53153786d0b685f9bfff7cdb53ad369914f07069436f43b5ab65816bb7410b02f34bf8
+DIST ergo-2.11.0.tar.gz 3264162 BLAKE2B af5020469b7a7d7194cdf4e3f82ded906b811d754fac08bdfc0f8379b907069b92260701dd2e919a196b2ab655a32f9b9e3a21bfc8d363790d49cf32473a6c60 SHA512 ccdbc391e280ab25efd45752b84223213aceb3f3045307209da7a02b3b09df571242ad92d11786693fc208427a2d1ca0a3d6d470404cfb83b0acf40ca343441d
+DIST ergo-2.11.1.tar.gz 3264192 BLAKE2B 9a207fc808277275c43c4c70aec748efe0a5d3a21f4be195885b7058798df8b0d47b52a6b52708f3e04c5aa79faec2fd3f41a0da625fd55fff45a3b12cdb90ba SHA512 9808ecc28dc25e60b942bc74f8fbe4f07b7fda0641c3dd6fc681214e7e2b5fed7fa61f85e2ac0de3c08dc91a54f571e2741ab1b2f6597a2b53405211f327ad81
diff --git a/net-irc/ergo/ergo-2.11.0.ebuild b/net-irc/ergo/ergo-2.11.0.ebuild
new file mode 100644
index 00000000000..975e100d40f
--- /dev/null
+++ b/net-irc/ergo/ergo-2.11.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module systemd
+
+DESCRIPTION="A modern IRC server written in Go"
+HOMEPAGE="https://ergo.chat/ https://github.com/ergochat/ergo"
+SRC_URI="https://github.com/ergochat/ergo/archive/v${PV/_/-}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}"/${P/_/-}
+
+LICENSE="Apache-2.0 BSD-2 BSD ISC MIT MPL-2.0"
+SLOT="0"
+if [[ ${PV} != *_rc* ]] ; then
+ KEYWORDS="~amd64 ~arm ~arm64"
+fi
+
+# We may even want to package irctest in future?
+
+RDEPEND="acct-user/oragono
+ acct-group/oragono"
+
+DOCS=( README.md docs/MANUAL.md docs/USERGUIDE.md )
+
+src_prepare() {
+ default
+
+ sed -i -e 's:ERGO_USERNAME="ergo":ERGO_USERNAME="oragono":' distrib/openrc/ergo.confd || die
+
+ # Minor fiddling with paths
+ sed -i \
+ -e 's:/home/ergo/ergo:/usr/bin/ergo:' \
+ -e 's:/home/ergo:/var/lib/ergo:' \
+ -e 's:/var/lib/ergo/ircd.yaml:/etc/ergo/ircd.yaml:' \
+ -e 's:User=ergo:User=oragono:' \
+ distrib/systemd/ergo.service || die
+}
+
+src_compile() {
+ ego build .
+}
+
+src_install() {
+ einstalldocs
+
+ dobin ergo
+
+ insinto /etc/ergo
+ doins default.yaml
+
+ newinitd distrib/openrc/ergo.initd ergo
+ newconfd distrib/openrc/ergo.confd ergo
+
+ keepdir /var/lib/ergo
+ fowners oragono:oragono /var/lib/ergo
+
+ insinto /var/lib/ergo
+ doins -r languages/
+
+ systemd_dounit distrib/systemd/ergo.service
+}
+
+pkg_postinst() {
+ if [[ -z "${REPLACING_VERSIONS}" ]] ; then
+ elog "Please copy the example config in ${EROOT}/etc/ergo:"
+ elog "e.g. cp ${EROOT}/etc/ergo/default.yaml ${EROOT}/etc/ergo/ircd.yaml"
+ fi
+}
diff --git a/net-irc/ergo/ergo-2.11.1.ebuild b/net-irc/ergo/ergo-2.11.1.ebuild
new file mode 100644
index 00000000000..4fcae2f0e0f
--- /dev/null
+++ b/net-irc/ergo/ergo-2.11.1.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module systemd
+
+DESCRIPTION="A modern IRC server written in Go"
+HOMEPAGE="https://ergo.chat/ https://github.com/ergochat/ergo"
+SRC_URI="https://github.com/ergochat/ergo/archive/v${PV/_/-}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}"/${P/_/-}
+
+LICENSE="Apache-2.0 BSD-2 BSD ISC MIT MPL-2.0"
+SLOT="0"
+if [[ ${PV} != *_rc* ]] ; then
+ KEYWORDS="amd64 ~arm ~arm64"
+fi
+
+# We may even want to package irctest in future?
+
+RDEPEND="acct-user/oragono
+ acct-group/oragono"
+
+DOCS=( README.md docs/MANUAL.md docs/USERGUIDE.md )
+
+src_prepare() {
+ default
+
+ sed -i -e 's:ERGO_USERNAME="ergo":ERGO_USERNAME="oragono":' distrib/openrc/ergo.confd || die
+
+ # Minor fiddling with paths
+ sed -i \
+ -e 's:/home/ergo/ergo:/usr/bin/ergo:' \
+ -e 's:/home/ergo:/var/lib/ergo:' \
+ -e 's:/var/lib/ergo/ircd.yaml:/etc/ergo/ircd.yaml:' \
+ -e 's:User=ergo:User=oragono:' \
+ distrib/systemd/ergo.service || die
+}
+
+src_compile() {
+ ego build .
+}
+
+src_install() {
+ einstalldocs
+
+ dobin ergo
+
+ insinto /etc/ergo
+ doins default.yaml
+
+ newinitd distrib/openrc/ergo.initd ergo
+ newconfd distrib/openrc/ergo.confd ergo
+
+ keepdir /var/lib/ergo
+ fowners oragono:oragono /var/lib/ergo
+
+ insinto /var/lib/ergo
+ doins -r languages/
+
+ systemd_dounit distrib/systemd/ergo.service
+}
+
+pkg_postinst() {
+ if [[ -z "${REPLACING_VERSIONS}" ]] ; then
+ elog "Please copy the example config in ${EROOT}/etc/ergo:"
+ elog "e.g. cp ${EROOT}/etc/ergo/default.yaml ${EROOT}/etc/ergo/ircd.yaml"
+ fi
+}
diff --git a/net-irc/hexchat/hexchat-2.16.1-r1.ebuild b/net-irc/hexchat/hexchat-2.16.1-r1.ebuild
index a47f759179d..21c3871de08 100644
--- a/net-irc/hexchat/hexchat-2.16.1-r1.ebuild
+++ b/net-irc/hexchat/hexchat-2.16.1-r1.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
LUA_COMPAT=( lua5-{1..4} luajit )
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{9..10} )
inherit flag-o-matic lua-single meson mono-env python-single-r1 xdg
@@ -18,7 +18,7 @@ if [[ "${PV}" == "9999" ]] ; then
EGIT_REPO_URI="https://github.com/${PN}/${PN}.git"
else
SRC_URI="https://dl.hexchat.net/${PN}/${P}.tar.xz"
- KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux"
+ KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~sparc x86 ~amd64-linux"
fi
LICENSE="GPL-2 plugin-fishlim? ( MIT )"
diff --git a/net-irc/hexchat/hexchat-2.16.1.ebuild b/net-irc/hexchat/hexchat-2.16.1.ebuild
index d8ed2d709d1..7304fa96178 100644
--- a/net-irc/hexchat/hexchat-2.16.1.ebuild
+++ b/net-irc/hexchat/hexchat-2.16.1.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
LUA_COMPAT=( lua5-{1..4} luajit )
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{9..10} )
inherit lua-single meson mono-env python-single-r1 xdg
diff --git a/net-irc/hexchat/hexchat-9999.ebuild b/net-irc/hexchat/hexchat-9999.ebuild
index a47f759179d..e8d6b89487a 100644
--- a/net-irc/hexchat/hexchat-9999.ebuild
+++ b/net-irc/hexchat/hexchat-9999.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
LUA_COMPAT=( lua5-{1..4} luajit )
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{9..10} )
inherit flag-o-matic lua-single meson mono-env python-single-r1 xdg
diff --git a/net-irc/inspircd/Manifest b/net-irc/inspircd/Manifest
index 59eb8ce6d90..15c1b0551ab 100644
--- a/net-irc/inspircd/Manifest
+++ b/net-irc/inspircd/Manifest
@@ -1,6 +1,4 @@
-DIST inspircd-3.13.0-fix-logrotate-conf.patch.bz2 537 BLAKE2B 81bb056b1dba8bd4716b29dd582fc9e77793b7296bbd41570eab6d569a496a5725db74a476aab78174e16f67158f8d2c4feba55ff1db7ed1c0012e303d45b0b4 SHA512 9a3b4f7842be44278725348d8e42db719e280745c1394a6005b6bd25ab79ad78c7717d8befd7a1ab973efc23ed0299eed4418b41d26d2ed4990a516cddc63c78
-DIST inspircd-3.13.0-fix-path-builds.patch.bz2 4719 BLAKE2B f0a278f2cba6a6c84c60ef34c9f15b2fbd4ecad4a3e16944b4a50437209447c70db2faffcb6f0a18a5b970721ceaea041763e5ca237129211cf8c3bb8d925bb5 SHA512 124ba020382f9efbcc1a6d79f5b6ace61a70c6b86d46ce1067d9a05172ac77db7b06c3b61037f158d2fff3356bf897fae4504212b56a242c27fa42f5ba12a3ad
-DIST inspircd-3.13.0-fix-template-files.patch.bz2 785 BLAKE2B ee559a1e92c7ff1b985fffff815e2d12c8ebda5424583fb72cd9f4997806ee0e1571f983b024b6bf1a11077b763cf30a0b05a7ff12c25a51f8020ff3360ef597 SHA512 80a35c94753c1e32c7d58778031ab02ee70afdf9968ca647079d5a8c124c2bd10473a67609c8e9d48bc66ae94ba49dc9dab49a96cdc864a418f1f48d74ba80c9
-DIST inspircd-3.13.0.tar.gz 868027 BLAKE2B 9d31917d076329d255f3b29a394a1329f286d3178573063e5af48148c14ba8a4c6b78e90251ec9d8df9dc10726435dd4aff381c65d81c902034ea527aabac51f SHA512 1466e6b4259ea0f1e62342133a6720839e01eea24f67398ab47f9d5d63703cb934b867c705f07c8e0d3a0fa25c20f9b20ce3f5dbc7bbe7c4f2d5d02b7a170cca
DIST inspircd-3.14.0-fix-build-paths.patch.bz2 4731 BLAKE2B 5d8bdfc2af5ff4e9f0e592cb23dd747f9bcfcaad63a725d03fc78b2b032bc4df59a21dfca2067b3e50c1dcf18257706fb30862a1db919e109b8954aa06712efe SHA512 bfd5bdf58fa0ce8e91da1d74aada01f7cafd33b911f5445fd379728f5e67c8b10cf68cdc74dc0cf3d6bdab87ee9cb2251a52e3ed165970381b19a487ee11b554
DIST inspircd-3.14.0.tar.gz 869137 BLAKE2B d02d98c6922093e2e04a8f68092a8591ca4b7e5b079676ddc9b33c315725ac4c6739528c3285820683f0daba9926c4be8577e643b4a6cc28d9d3f39151d7da82 SHA512 c19afc20b779a029b9e7a88470806d4a8e45d1fa3e9fd8597c02811d5669e6812c33dc3086557f1cb28335a778c50b78efd863357f500780dbadc61c02c2253c
+DIST inspircd-3.15.0-fix-build-paths.patch.bz2 4733 BLAKE2B 72bc94f8feb5620ce8bd735dd84a5805b086855af39ca204b2159c41f951fd8285e01aca69f9ef1c1b546060eb46a5b6a42c66e8831ab9289663429a8b0371fc SHA512 8d021f04b861d5b3a7bfd19f8b49e34498f1bdda02fda967d78b35af8329819a37a446db42c8c1f7c8543b3fa533dcff214b92b5393cd380a1d47fd32cdf0679
+DIST inspircd-3.15.0.tar.gz 874629 BLAKE2B 50dd2cdba497e85da6d72c22f612cae5944f2a654783d6edc673e956a33132c539ab71bc7ab9647468bd96cc3e2c73031a300e39df0753886af8ac532d07b696 SHA512 32d10cd7f6a06c79720c138fc4aff3c8db667754c7a2fe3ad7c07a1e56604bedcf17e3dd5d5f54a6fd49b37414acd57b97afc1d4accbf3e5fbd92b483fe6c394
diff --git a/net-irc/inspircd/inspircd-3.14.0-r1.ebuild b/net-irc/inspircd/inspircd-3.14.0-r1.ebuild
index 74fee7dad76..2d928bd7140 100644
--- a/net-irc/inspircd/inspircd-3.14.0-r1.ebuild
+++ b/net-irc/inspircd/inspircd-3.14.0-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -13,7 +13,7 @@ SRC_URI="
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 x86"
IUSE="debug gnutls ldap maxminddb mbedtls mysql pcre postgres re2 regex-posix regex-stdlib sqlite ssl sslrehashsignal tre"
RDEPEND="
diff --git a/net-irc/inspircd/inspircd-3.13.0-r1.ebuild b/net-irc/inspircd/inspircd-3.15.0.ebuild
index e7c8539265f..7df864d182d 100644
--- a/net-irc/inspircd/inspircd-3.13.0-r1.ebuild
+++ b/net-irc/inspircd/inspircd-3.15.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -9,25 +9,25 @@ DESCRIPTION="Inspire IRCd - The Stable, High-Performance Modular IRCd"
HOMEPAGE="https://www.inspircd.org/"
SRC_URI="
https://github.com/inspircd/inspircd/archive/v${PV}.tar.gz -> ${P}.tar.gz
- https://github.com/clinew/gentoo-distfiles/raw/master/inspircd-${PV}-fix-path-builds.patch.bz2
- https://github.com/clinew/gentoo-distfiles/raw/master/inspircd-${PV}-fix-template-files.patch.bz2
- https://github.com/clinew/gentoo-distfiles/raw/master/inspircd-${PV}-fix-logrotate-conf.patch.bz2"
+ https://github.com/clinew/gentoo-distfiles/raw/master/inspircd-${PV}-fix-build-paths.patch.bz2"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 x86"
-IUSE="debug gnutls ldap maxminddb mbedtls mysql pcre postgres re2 regex-posix regex-stdlib sqlite ssl sslrehashsignal tre"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="argon2 debug gnutls ldap maxminddb mbedtls mysql pcre pcre2 postgres re2 regex-posix regex-stdlib sqlite ssl sslrehashsignal tre"
RDEPEND="
acct-group/inspircd
acct-user/inspircd
dev-lang/perl
+ argon2? ( app-crypt/argon2 )
gnutls? ( net-libs/gnutls:= dev-libs/libgcrypt:0 )
ldap? ( net-nds/openldap:= )
maxminddb? ( dev-libs/libmaxminddb:= )
mbedtls? ( net-libs/mbedtls:= )
mysql? ( dev-db/mysql-connector-c:= )
pcre? ( dev-libs/libpcre )
+ pcre2? ( dev-libs/libpcre2 )
postgres? ( dev-db/postgresql:= )
re2? ( dev-libs/re2:= )
sqlite? ( >=dev-db/sqlite-3.0 )
@@ -36,20 +36,19 @@ RDEPEND="
DEPEND="${RDEPEND}"
DOCS=( docs/. .configure/apparmor )
-PATCHES=(
- "${WORKDIR}"/${P}-fix-path-builds.patch
- "${WORKDIR}"/${P}-fix-template-files.patch
- "${WORKDIR}"/${P}-fix-logrotate-conf.patch)
+PATCHES=( "${WORKDIR}"/${P}-fix-build-paths.patch )
src_configure() {
local extras=""
+ use argon2 && extras+="argon2,"
use gnutls && extras+="ssl_gnutls,"
use ldap && extras+="ldap,"
use maxminddb && extras+="geo_maxmind,"
use mbedtls && extras+="ssl_mbedtls,"
use mysql && extras+="mysql,"
use pcre && extras+="regex_pcre,"
+ use pcre2 && extras+="regex_pcre2,"
use postgres && extras+="pgsql,"
use re2 && extras+="regex_re2,"
use regex-posix && extras+="regex_posix,"
@@ -69,6 +68,8 @@ src_configure() {
--disable-auto-extras
--disable-ownership
--system
+ --uid ${PN}
+ --gid ${PN}
--binary-dir="/usr/bin"
--data-dir="/var/lib/${PN}/data"
--example-dir="/usr/share/doc/${PV}"
diff --git a/net-irc/inspircd/metadata.xml b/net-irc/inspircd/metadata.xml
index 08f34e02163..41305043803 100644
--- a/net-irc/inspircd/metadata.xml
+++ b/net-irc/inspircd/metadata.xml
@@ -12,11 +12,13 @@
para ser estable, moderno y ligero.
</longdescription>
<use>
+ <flag name="argon2">Enable Argon2 hashes in modules</flag>
<flag name="gnutls">Enable TLS support</flag>
<flag name="ldap">Enable LDAP support</flag>
<flag name="maxminddb">Add support for geolocation using libMaxMindDB</flag>
<flag name="mbedtls">Add support for TLS using the mbedTLS library</flag>
<flag name="mysql">Enable MySQL database backend</flag>
+ <flag name="pcre2">Add support for Perl Compatible Regular Expressions 2</flag>
<flag name="postgres">Enable PostgreSQL database backend</flag>
<flag name="re2">Add support for Google RE2 regular expressions library</flag>
<flag name="regex-posix">Add support for POSIX Regular Expressions</flag>
diff --git a/net-irc/ircii/ircii-20210314-r1.ebuild b/net-irc/ircii/ircii-20210314-r2.ebuild
index 3f45c4c6fcd..66f78214f96 100644
--- a/net-irc/ircii/ircii-20210314-r1.ebuild
+++ b/net-irc/ircii/ircii-20210314-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -14,7 +14,8 @@ LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 ~ppc ~riscv x86 ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris ~x86-solaris"
-DEPEND="sys-libs/ncurses:0=
+DEPEND="dev-libs/openssl:0=
+ sys-libs/ncurses:0=
virtual/libcrypt:=
virtual/libiconv"
RDEPEND="${DEPEND}"
diff --git a/net-irc/ircmap/ircmap-0.99-r1.ebuild b/net-irc/ircmap/ircmap-0.99-r1.ebuild
index 33fb8a2051d..87b21231fff 100644
--- a/net-irc/ircmap/ircmap-0.99-r1.ebuild
+++ b/net-irc/ircmap/ircmap-0.99-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -6,21 +6,17 @@ EAPI=7
DESCRIPTION="Scripts to treate diagrams of IRC networks using the LINKS command"
HOMEPAGE="http://pasky.or.cz/irc/"
SRC_URI="http://pasky.or.cz/irc/${PN}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}"
+
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 x86"
-IUSE=""
RDEPEND="
media-gfx/graphviz
dev-lang/perl
"
-BDEPEND="${RDEPEND}
- >=sys-apps/sed-4
-"
-DEPEND=""
-
-S="${WORKDIR}"/${PN}
+BDEPEND="${RDEPEND}"
src_compile() {
sed -i \
diff --git a/net-irc/irker/irker-2.22-r2.ebuild b/net-irc/irker/irker-2.22-r2.ebuild
index 4d94067e827..725b8304570 100644
--- a/net-irc/irker/irker-2.22-r2.ebuild
+++ b/net-irc/irker/irker-2.22-r2.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{9..10} )
PYTHON_REQ_USE="ssl"
inherit optfeature python-single-r1 systemd
diff --git a/net-irc/iroffer-dinoex/metadata.xml b/net-irc/iroffer-dinoex/metadata.xml
index 7126c1b73ad..be98bd32712 100644
--- a/net-irc/iroffer-dinoex/metadata.xml
+++ b/net-irc/iroffer-dinoex/metadata.xml
@@ -2,10 +2,6 @@
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>zlogene@gentoo.org</email>
- <name>Mikle Kolyada</name>
- </maintainer>
- <maintainer type="person">
<email>pinkbyte@gentoo.org</email>
<name>Sergey Popov</name>
</maintainer>
diff --git a/net-irc/irssi/metadata.xml b/net-irc/irssi/metadata.xml
index acdb8d97123..e27ab8ed77c 100644
--- a/net-irc/irssi/metadata.xml
+++ b/net-irc/irssi/metadata.xml
@@ -9,10 +9,6 @@
<email>monsieurp@gentoo.org</email>
<name>Patrice Clement</name>
</maintainer>
- <maintainer type="person">
- <email>zlogene@gentoo.org</email>
- <name>Mikle Kolyada</name>
- </maintainer>
<use>
<flag name="otr">Adds support for a loadable IRC otr module</flag>
<flag name="proxy">Adds support for a loadable IRC proxy module</flag>
diff --git a/net-irc/konversation/Manifest b/net-irc/konversation/Manifest
index ca9bae18a55..03ba7e647ed 100644
--- a/net-irc/konversation/Manifest
+++ b/net-irc/konversation/Manifest
@@ -1,2 +1,2 @@
-DIST konversation-22.04.3.tar.xz 4286084 BLAKE2B 4d457c59331e7a9944364a6f56dfa03253d0a8c94750d3d05077feecc10a280c65b9fff83c261365c92664d2a3a249131fb0ad25202cd5edf1bb7690959a9def SHA512 ba2c4695db6f4d1c3ab58b8457f3c8120fe93837899c53f76337a20cc21a1d8be928b8c3a11b512893a259cef3b6fa426a2206560bf9428eac15b6fcefacbec1
DIST konversation-22.08.3.tar.xz 4286292 BLAKE2B 69e8af19d16a16e01a4604d8dbfe4a8fda7659fa488470b97ed21a7e62d9d6ee558b25d90371c8524b72b8b46899c2aa3522f962a3bcc26928d0a9b24e73c63d SHA512 46be44918caf4992270cfff86281d5e84aef3596c3e08575efde087e8ee3a4586f75490cba4859fbe81ffbfd08b65722f2fce59cac6a745573049b2aa7e5a94b
+DIST konversation-22.12.1.tar.xz 4447840 BLAKE2B e0bf8c950688f851130147ab670b4ef30b9e6069ec1a61c976859a507d371cd3c1d23430c43f41e95aa679887f129ce6ecda69813accbfb888db7c583901c9e3 SHA512 fefb6c386f114acb1d8307c3db67500405a013c95f024019bc72437e9c7837e271f2f8371ad99ce3163496df878f36c3b7fe0a8248881c089be384842ccb7f24
diff --git a/net-irc/konversation/konversation-22.08.3.ebuild b/net-irc/konversation/konversation-22.08.3.ebuild
index 251231a2dac..044bb4f4f0a 100644
--- a/net-irc/konversation/konversation-22.08.3.ebuild
+++ b/net-irc/konversation/konversation-22.08.3.ebuild
@@ -13,7 +13,7 @@ HOMEPAGE="https://konversation.kde.org https://apps.kde.org/konversation/"
LICENSE="GPL-2"
SLOT="5"
-KEYWORDS="amd64 arm64 ~ppc64 ~riscv ~x86"
+KEYWORDS="amd64 arm64 ~ppc64 ~riscv x86"
IUSE="+crypt"
DEPEND="
diff --git a/net-irc/konversation/konversation-22.04.3.ebuild b/net-irc/konversation/konversation-22.12.1.ebuild
index d255d42081e..312c77cc886 100644
--- a/net-irc/konversation/konversation-22.04.3.ebuild
+++ b/net-irc/konversation/konversation-22.12.1.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
ECM_HANDBOOK="forceoptional"
-KFMIN=5.92.0
-QTMIN=5.15.4
+KFMIN=5.101.0
+QTMIN=5.15.5
inherit ecm gear.kde.org
DESCRIPTION="User friendly IRC Client"
@@ -13,7 +13,7 @@ HOMEPAGE="https://konversation.kde.org https://apps.kde.org/konversation/"
LICENSE="GPL-2"
SLOT="5"
-KEYWORDS="amd64 arm64 ~ppc64 ~riscv x86"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"
IUSE="+crypt"
DEPEND="
@@ -47,11 +47,11 @@ DEPEND="
>=kde-frameworks/kwidgetsaddons-${KFMIN}:5
>=kde-frameworks/kwindowsystem-${KFMIN}:5
>=kde-frameworks/kxmlgui-${KFMIN}:5
- crypt? ( >=app-crypt/qca-2.3.0:2 )
+ crypt? ( >=app-crypt/qca-2.3.0:2[qt5(+)] )
"
RDEPEND="${DEPEND}
>=dev-qt/qtsvg-${QTMIN}:5
- crypt? ( >=app-crypt/qca-2.3.0:2[ssl] )
+ crypt? ( >=app-crypt/qca-2.3.0:2[qt5(+),ssl] )
"
BDEPEND="sys-devel/gettext"
diff --git a/net-irc/kvirc/kvirc-5.2_pre20210630233331-r1.ebuild b/net-irc/kvirc/kvirc-5.2_pre20210630233331-r1.ebuild
index deedb6e2743..6ab9911440b 100644
--- a/net-irc/kvirc/kvirc-5.2_pre20210630233331-r1.ebuild
+++ b/net-irc/kvirc/kvirc-5.2_pre20210630233331-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 2009-2022 Gentoo Authors
+# Copyright 2009-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="8"
CMAKE_MAKEFILE_GENERATOR="emake"
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{9..10} )
inherit cmake flag-o-matic python-single-r1 xdg-utils
diff --git a/net-irc/kvirc/kvirc-9999.ebuild b/net-irc/kvirc/kvirc-9999.ebuild
index 6f6e004ab58..4d5f22d2ebd 100644
--- a/net-irc/kvirc/kvirc-9999.ebuild
+++ b/net-irc/kvirc/kvirc-9999.ebuild
@@ -1,9 +1,9 @@
-# Copyright 2009-2022 Gentoo Authors
+# Copyright 2009-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="8"
CMAKE_MAKEFILE_GENERATOR="emake"
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{9..10} )
inherit cmake flag-o-matic python-single-r1 xdg-utils
diff --git a/net-irc/limnoria/limnoria-20220814.ebuild b/net-irc/limnoria/limnoria-20220814.ebuild
index c54f729af75..89a8614cf3d 100644
--- a/net-irc/limnoria/limnoria-20220814.ebuild
+++ b/net-irc/limnoria/limnoria-20220814.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{9..10} )
DISTUTILS_IN_SOURCE_BUILD=yes # needed for tests
inherit distutils-r1
diff --git a/net-irc/limnoria/limnoria-20220927.ebuild b/net-irc/limnoria/limnoria-20220927.ebuild
index c54f729af75..89a8614cf3d 100644
--- a/net-irc/limnoria/limnoria-20220927.ebuild
+++ b/net-irc/limnoria/limnoria-20220927.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{9..10} )
DISTUTILS_IN_SOURCE_BUILD=yes # needed for tests
inherit distutils-r1
diff --git a/net-irc/limnoria/limnoria-20221116.ebuild b/net-irc/limnoria/limnoria-20221116.ebuild
index c54f729af75..89a8614cf3d 100644
--- a/net-irc/limnoria/limnoria-20221116.ebuild
+++ b/net-irc/limnoria/limnoria-20221116.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{9..10} )
DISTUTILS_IN_SOURCE_BUILD=yes # needed for tests
inherit distutils-r1
diff --git a/net-irc/limnoria/limnoria-99999999.ebuild b/net-irc/limnoria/limnoria-99999999.ebuild
index 42e916daaa3..5f74cc35dbd 100644
--- a/net-irc/limnoria/limnoria-99999999.ebuild
+++ b/net-irc/limnoria/limnoria-99999999.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{9..10} )
DISTUTILS_USE_SETUPTOOLS=no
inherit distutils-r1
diff --git a/net-irc/onis/onis-0.8.2-r1.ebuild b/net-irc/onis/onis-0.8.2-r2.ebuild
index 7c1eb8e3d90..116e9a2b943 100644
--- a/net-irc/onis/onis-0.8.2-r1.ebuild
+++ b/net-irc/onis/onis-0.8.2-r2.ebuild
@@ -1,21 +1,22 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=8
+
+inherit perl-functions
DESCRIPTION="onis not irc stats"
HOMEPAGE="http://verplant.org/onis/"
SRC_URI="http://verplant.org/${PN}/${P}.tar.bz2"
+
LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="amd64 ~ppc x86"
-IUSE=""
RDEPEND="dev-lang/perl"
-DEPEND="${RDEPEND}
- >=sys-apps/sed-4"
+BDEPEND="${RDEPEND}"
-PATCHES=( "${FILESDIR}/0.6.0-nochdir.patch" )
+PATCHES=( "${FILESDIR}"/0.6.0-nochdir.patch )
src_prepare() {
default
@@ -23,17 +24,15 @@ src_prepare() {
}
src_install() {
- eval $(perl -V:installprivlib)
-
dobin onis
- insinto "${installprivlib}"
- doins -r lib/Onis
+ perl_domodule -r lib/Onis
insinto /usr/share/onis
- doins -r lang reports/*
+ doins -r lang reports/.
- dodoc CHANGELOG README THANKS onis.conf users.conf
+ einstalldocs
+ dodoc onis.conf users.conf
}
pkg_postinst() {
diff --git a/net-irc/polari/Manifest b/net-irc/polari/Manifest
index 0f9dc7c013f..cc54967398b 100644
--- a/net-irc/polari/Manifest
+++ b/net-irc/polari/Manifest
@@ -1,2 +1 @@
-DIST polari-42.0.tar.xz 1125160 BLAKE2B e4edeb2023c2df2e1ad855ceea4dc9e646eca18da61643698410724d1fbe031ee609a30e139b2ab2ad6ddf22d1a4ea0b408b4b93d7ac8874c35c9d49f96f16bd SHA512 a64e1841d91809389af4b1f7eebd1b1e187f9e5f7058a84ab3b50bbbdc3786a7ec89bd4ccc4935473d1de1c40f6dbd6daf30b6bff48dd132e28a4be3e8bfb114
DIST polari-43.0.tar.xz 1128316 BLAKE2B 224c70d77ad772aacc5264b2ff15b9371cbfb47bcdaef3b3fd6b55b86e48947b960773e9568f3a6830b1958b2d901ec9d3e3da3cd3fb1c6341a5fa7d34ab5014 SHA512 ff1d96f7e464043616760f378136c3dfb1b5fc3fce3d24fe067540ce0a306d76027681f085ad0030959a6b1653d9f0291e108457305c16849936ab25861fe285
diff --git a/net-irc/polari/polari-42.0.ebuild b/net-irc/polari/polari-42.0.ebuild
deleted file mode 100644
index c423aa098f2..00000000000
--- a/net-irc/polari/polari-42.0.ebuild
+++ /dev/null
@@ -1,52 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit gnome.org gnome2-utils meson xdg
-
-DESCRIPTION="An IRC client for GNOME"
-HOMEPAGE="https://wiki.gnome.org/Apps/Polari https://gitlab.gnome.org/GNOME/polari"
-
-LICENSE="GPL-2+"
-SLOT="0"
-KEYWORDS="amd64 ~arm x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-DEPEND="
- >=dev-libs/glib-2.43.4:2
- net-libs/telepathy-glib[introspection]
- >=dev-libs/gobject-introspection-1.50:=
- >=dev-libs/gjs-1.69.2
-
- x11-libs/gdk-pixbuf:2[introspection]
- >=app-text/gspell-1.4.0[introspection]
- x11-libs/pango[introspection]
- app-crypt/libsecret[introspection]
- net-libs/libsoup:2.4[introspection]
- net-im/telepathy-logger[introspection]
-"
-RDEPEND="${DEPEND}
- >=net-irc/telepathy-idle-0.2
-"
-BDEPEND="
- dev-libs/appstream-glib
- dev-libs/libxml2:2
- dev-util/itstool
- >=sys-devel/gettext-0.19.8
- virtual/pkgconfig
- test? (
- dev-libs/json-glib
- )
-"
-
-pkg_postinst() {
- xdg_pkg_postinst
- gnome2_schemas_update
-}
-
-pkg_postrm() {
- xdg_pkg_postrm
- gnome2_schemas_update
-}
diff --git a/net-irc/polari/polari-43.0.ebuild b/net-irc/polari/polari-43.0.ebuild
index 6913d04f14d..7600e104a95 100644
--- a/net-irc/polari/polari-43.0.ebuild
+++ b/net-irc/polari/polari-43.0.ebuild
@@ -10,7 +10,7 @@ HOMEPAGE="https://wiki.gnome.org/Apps/Polari https://gitlab.gnome.org/GNOME/pola
LICENSE="GPL-2+"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~x86"
+KEYWORDS="amd64 ~arm x86"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/net-irc/quasselgrep/quasselgrep-0_p20200830.ebuild b/net-irc/quasselgrep/quasselgrep-0_p20200830.ebuild
index 257fb092f35..69f478c2ec8 100644
--- a/net-irc/quasselgrep/quasselgrep-0_p20200830.ebuild
+++ b/net-irc/quasselgrep/quasselgrep-0_p20200830.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{9..10} )
PYTHON_REQ_USE="sqlite"
inherit distutils-r1 optfeature
diff --git a/net-irc/scrollz/scrollz-2.3.1.ebuild b/net-irc/scrollz/scrollz-2.3.1.ebuild
index 52ce5f27eb0..e5324b20536 100644
--- a/net-irc/scrollz/scrollz-2.3.1.ebuild
+++ b/net-irc/scrollz/scrollz-2.3.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -15,7 +15,7 @@ S="${WORKDIR}/${MY_P}"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~ppc ~riscv ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+KEYWORDS="amd64 ppc ~riscv x86 ~amd64-linux ~x86-linux ~ppc-macos"
IUSE="gmp gnutls ipv6 ssl"
REQUIRED_USE="gnutls? ( ssl )"
diff --git a/net-irc/soju/Manifest b/net-irc/soju/Manifest
new file mode 100644
index 00000000000..89ec9362ebc
--- /dev/null
+++ b/net-irc/soju/Manifest
@@ -0,0 +1,2 @@
+DIST soju-0.5.2-deps.tar.xz 144017976 BLAKE2B 09be5c159d8c5a12bef9fe52e1d7d4883e3a3ebc8f1131fadd33808588413db9d318eb4be589f9e088d4d6257b47b8c5fa61373a872bae3b9f6570a390312972 SHA512 4f33185ee8fb7a1969ea5c2de82d9ecd7f5f7795f890ec35d87c557e973a53f93c22ecccc1b02ba47dc52d1d6528b7e18fe43fc88cb77ab4615bafe5c70ae8bd
+DIST soju-0.5.2.tar.gz 141911 BLAKE2B 3fb9455a55d8fc0a1da17303156f43cc989f601d0dc837b795a32fa4be14a45571edbc2067159990fd72c75a44c71b52a579ed01572aae43c39ebaf143d502e1 SHA512 2ee9abf9d989a6cc361350bcaa94ff78bf45119c507142d6200684c79c4e1418d0f895931d0889a6f9f15f07d7b5969e2d34ae235034f3a53f04e2bf997dc85f
diff --git a/net-irc/soju/files/soju.initd b/net-irc/soju/files/soju.initd
new file mode 100644
index 00000000000..db6069e85c5
--- /dev/null
+++ b/net-irc/soju/files/soju.initd
@@ -0,0 +1,30 @@
+#!/sbin/openrc-run
+supervisor=supervise-daemon
+
+name="soju"
+description="User-friendly IRC bouncer"
+
+: ${command_args:="-config /etc/soju/config"}
+: ${error_log:=/var/log/soju.log}
+
+command=/usr/bin/soju
+command_user=soju:soju
+directory="/var/lib/$RC_SVCNAME"
+
+extra_started_commands="reload"
+description_reload="Reload TLS certificate"
+
+depend() {
+ need net localmount
+}
+
+start_pre() {
+ checkpath -d -o $command_user "$directory"
+ checkpath -f -o $command_user "$error_log"
+}
+
+reload() {
+ ebegin "Reloading TLS certificate"
+ $supervisor $RC_SVCNAME --signal HUP
+ eend $?
+}
diff --git a/net-irc/soju/metadata.xml b/net-irc/soju/metadata.xml
new file mode 100644
index 00000000000..df600cfb1ce
--- /dev/null
+++ b/net-irc/soju/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM 'https://www.gentoo.org/dtd/metadata.dtd'>
+<pkgmetadata>
+ <maintainer type="person" proxied="yes">
+ <email>cat@catcream.org</email>
+ <name>Alfred Persson</name>
+ </maintainer>
+ <maintainer type="project" proxied="proxy">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="sourcehut">~emersion/soju</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/net-irc/soju/soju-0.5.2.ebuild b/net-irc/soju/soju-0.5.2.ebuild
new file mode 100644
index 00000000000..0bd37980849
--- /dev/null
+++ b/net-irc/soju/soju-0.5.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module
+
+DESCRIPTION="soju is a user-friendly IRC bouncer"
+HOMEPAGE="https://soju.im/"
+SRC_URI="https://git.sr.ht/~emersion/${PN}/refs/download/v${PV}/${P}.tar.gz"
+SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar.xz"
+
+LICENSE="AGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+IUSE="sqlite"
+
+BDEPEND="
+ app-text/scdoc
+"
+RDEPEND="
+ acct-user/soju
+ acct-group/soju
+ sqlite? ( dev-db/sqlite:3 )
+"
+DEPEND="${RDEPEND}"
+
+src_compile() {
+ GOFLAGS+=" -tags=$(usex sqlite libsqlite3 nosqlite)"
+
+ ego build ${GOFLAGS} ./cmd/soju
+ ego build ${GOFLAGS} ./cmd/sojuctl
+
+ scdoc <doc/soju.1.scd >doc/soju.1
+}
+
+src_install() {
+ dobin soju
+ dobin sojuctl
+
+ doman doc/soju.1
+ keepdir /etc/soju
+ insinto /etc/soju
+ newins config.in config
+ newinitd "${FILESDIR}"/soju.initd soju
+ einstalldocs
+}
+
+pkg_postinst() {
+ elog "${PN} requires a user database for authenticating bouncer users,"
+ elog "please create a user using:"
+ elog "# sojuctl -config ${EROOT}/etc/soju/config create-user <username> [-admin]"
+ elog "then set ${EROOT}/var/lib/soju/main.db owner and group to soju:soju."
+}
diff --git a/net-irc/telepathy-idle/telepathy-idle-0.2.2.ebuild b/net-irc/telepathy-idle/telepathy-idle-0.2.2.ebuild
index 171075a0868..db90a1e87de 100644
--- a/net-irc/telepathy-idle/telepathy-idle-0.2.2.ebuild
+++ b/net-irc/telepathy-idle/telepathy-idle-0.2.2.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{8..11} )
+PYTHON_COMPAT=( python3_{9..11} )
inherit python-single-r1
DESCRIPTION="Full-featured IRC connection manager for Telepathy"
diff --git a/net-irc/unrealircd/Manifest b/net-irc/unrealircd/Manifest
index 3c494d94f4b..833f4ceb8d9 100644
--- a/net-irc/unrealircd/Manifest
+++ b/net-irc/unrealircd/Manifest
@@ -1,4 +1,4 @@
DIST unrealircd-5.2.4.tar.gz 7201203 BLAKE2B 06afc8b5e28bbd56971b2ce21da3e000e39366444472786891bfe000754f5fed37b59850f9539b4f01914d6b33c1f9f17a15fe69569620ba5213f39fce1cfcad SHA512 b6784d011bc56b0b8253d61fb1edddb2133e791e9ce4ae978f90059563d11f3f7b3ebca1cf13765b4077ebc39f0699e101bdfc71cbb0c5cf51d508c5a5fdacb3
DIST unrealircd-5.2.4.tar.gz.asc 866 BLAKE2B 9fc520e93f80a548650b016690036c4e9957e81095f75c34489eb0b83d28548a891196469199cf354207c44b22aaeecfc696995842e9b278ab10fdf5bdb8d7f6 SHA512 0d85a668e2cc3f3d736f3a321e282ecb1fd94d5f605e0e40e8c84a17a6486f8e0d299ec673fe7688fca3ead847f432144ff077547cc90321534406fbe084804b
-DIST unrealircd-6.0.4.1.tar.gz 8696975 BLAKE2B 2ca38b2eed09747f419cb9c7e338e10687541c981cce6425e266a1e0597c3a3eb36882a0d1da43a9b829aa855289887d28206b7e7298cf310e84703b1d4e7d5c SHA512 c2da78e785ddd7dd1567dd4cbc6bf44d8013c84334ee2ed836bb2b265bb79cf2db620570e3e626d77389ea820365dec3cd84d27f219df0a38d6d0e364e99a3cc
-DIST unrealircd-6.0.4.1.tar.gz.asc 866 BLAKE2B 018dd63bd02261fb390e98ebafaf9d712d30984a2034f8e4ee3c4125cf67b0dba4113f84f62e2b4ef3a42e10123f61e985ed5da42a234fe5fef30184af48520b SHA512 50d98bcff738307f866ff838944bf574613fb99fa8f3a7cd34272245924f70c0c56eea6376c704c56c920f6411870f259f89155b811d6bab2d34f770fcb6e0f8
+DIST unrealircd-6.0.4.2.tar.gz 8698501 BLAKE2B e5252dc3e4b332adbbd5a2d435d5be14a7745777dd53b8fa72b79d4cba2c1c92c0f9381b62b9c3031f48347f2ce7086d44f619cb4ec1b4f3a4cd2020f391643b SHA512 2677834660f9e6123ddf5121d9a46908f6071070cc9da085884d6c6ccec9fefc5429effa2890527a1e162984f1c5cd57bcd9cd488e8713613af84fb6d507207d
+DIST unrealircd-6.0.4.2.tar.gz.asc 866 BLAKE2B cdfee99a09479d6099ef42e4caa05024b682f35a7d6302b1baa2ac4697b2b430856d9cbd00f0361360050ce5f2a0478dd9c6e1dbb86ec5714de24e5edcfeaeb7 SHA512 3bbad079c486bd072694f246306094a5cdfc7648f49a9ec40743453bec78173454667243a05870a8a19320b31843dfcd15d962d04758cf97cccd8854dbfdfea4
diff --git a/net-irc/unrealircd/files/unrealircd-6.0.4.2-configure-clang16.patch b/net-irc/unrealircd/files/unrealircd-6.0.4.2-configure-clang16.patch
new file mode 100644
index 00000000000..d884a1000b5
--- /dev/null
+++ b/net-irc/unrealircd/files/unrealircd-6.0.4.2-configure-clang16.patch
@@ -0,0 +1,64 @@
+https://github.com/unrealircd/unrealircd/pull/242
+
+From 3246e472842237ac9e655e254380c4dd8fea7abc Mon Sep 17 00:00:00 2001
+From: Sam James <sam@gentoo.org>
+Date: Sun, 18 Dec 2022 06:18:51 +0000
+Subject: [PATCH] configure.ac: fix -Wimplicit-function-declaration
+
+Clang 16 makes -Wimplicit-function-declaration error by default.
+
+Unfortunately, this can lead to misconfiguration or miscompilation of software as configure
+tests may then return the wrong result.
+
+We also fix -Wstrict-prototypes while here as it's easy to do and it prepares
+us for C23.
+
+Fixes the following:
+```
+configure:6250: checking if your system has IPv6 support
+configure:6275: x86_64-pc-linux-gnu-gcc -o conftest -O2 -pipe -march=native -fdiagnostics-color=always -frecord-gcc-switches -Wreturn-type -ggdb3 -Werror=implicit-function-declaration -Werror=implicit-int -fno-strict-aliasing -fno-common -funsigned-char -Wall -Wextra -Waggregate-return -Wformat-nonliteral -Wduplicated-cond -Wduplicated-branches -Wparentheses -Wno-pointer-sign -Wno-format-zero-length -Wno-format-truncation -Wno-format-overflow -Wno-unused -Wno-unused-parameter -Wno-unused-but-set-parameter -Wno-char-subscripts -Wno-sign-compare -Wno-empty-body -Wno-pragmas -Wl,-O1 -Wl,--as-needed -Wl,--defsym=__gentoo_check_ldflags__=0 -Wl,-z,pack-relative-relocs conftest.c >&5
+conftest.c: In function 'main':
+conftest.c:30:1: error: implicit declaration of function 'exit' [-Werror=implicit-function-declaration]
+ 30 | exit(0); /* We only check if the code compiles, that's enough. We can deal with missing runtime IPv6 */
+ | ^~~~
+conftest.c:28:1: note: include '<stdlib.h>' or provide a declaration of 'exit'
+ 27 | #include <sys/socket.h>
+ +++ |+#include <stdlib.h>
+ 28 | int main() {
+conftest.c:30:1: warning: incompatible implicit declaration of built-in function 'exit' [-Wbuiltin-declaration-mismatch]
+ 30 | exit(0); /* We only check if the code compiles, that's enough. We can deal with missing runtime IPv6 */
+ | ^~~~
+conftest.c:30:1: note: include '<stdlib.h>' or provide a declaration of 'exit'
+cc1: some warnings being treated as errors
+configure:6275: $? = 1
+```
+
+For more information, see LWN.net [0] or LLVM's Discourse [1], the Gentoo wiki [2],
+or the (new) c-std-porting mailing list [3].
+
+[0] https://lwn.net/Articles/913505/
+[1] https://discourse.llvm.org/t/configure-script-breakage-with-the-new-werror-implicit-function-declaration/65213
+[2] https://wiki.gentoo.org/wiki/Modern_C_porting
+[3] hosted at lists.linux.dev.
+--- a/configure.ac
++++ b/configure.ac
+@@ -326,7 +326,7 @@ fi
+ ])
+ AC_CACHE_CHECK(if your system prepends an underscore on symbols,ac_cv_underscore,[
+ cat >uscore.c << __EOF__
+-int main() {
++int main(void) {
+ return 0;
+ }
+ __EOF__
+@@ -354,7 +354,8 @@ AC_CACHE_CHECK([if your system has IPv6 support], [ac_cv_ip6], [
+ AC_TRY_RUN([
+ #include <sys/types.h>
+ #include <sys/socket.h>
+-int main() {
++#include <stdlib.h>
++int main(void) {
+ int s = socket(AF_INET6, SOCK_STREAM, 0);
+ exit(0); /* We only check if the code compiles, that's enough. We can deal with missing runtime IPv6 */
+ }
+
diff --git a/net-irc/unrealircd/unrealircd-6.0.4.1.ebuild b/net-irc/unrealircd/unrealircd-6.0.4.2.ebuild
index 4811353f1fb..17d16a6be9c 100644
--- a/net-irc/unrealircd/unrealircd-6.0.4.1.ebuild
+++ b/net-irc/unrealircd/unrealircd-6.0.4.2.ebuild
@@ -17,7 +17,8 @@ SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux"
IUSE="class-nofakelag curl geoip +operoverride operoverride-verify"
-RDEPEND="acct-group/unrealircd
+RDEPEND="
+ acct-group/unrealircd
acct-user/unrealircd
>=app-crypt/argon2-20171227-r1:=
dev-libs/libpcre2
@@ -27,13 +28,20 @@ RDEPEND="acct-group/unrealircd
>=net-dns/c-ares-1.7:=
virtual/libcrypt:=
curl? ( net-misc/curl[adns] )
- geoip? ( dev-libs/libmaxminddb )"
+ geoip? ( dev-libs/libmaxminddb )
+"
DEPEND="${RDEPEND}"
-BDEPEND="virtual/pkgconfig
- verify-sig? ( sec-keys/openpgp-keys-unrealircd )"
+BDEPEND="
+ virtual/pkgconfig
+ verify-sig? ( sec-keys/openpgp-keys-unrealircd )
+"
DOCS=( doc/{Authors,Donation,RELEASE-NOTES.md,tao.of.irc,technical/,translations.txt} )
+PATCHES=(
+ "${FILESDIR}"/${PN}-6.0.4.2-configure-clang16.patch
+)
+
src_prepare() {
# QA check against bundled pkgs
rm -r extras || die
@@ -160,7 +168,7 @@ pkg_postinst() {
if grep -qe '"and another one";$' "${unrealircd_conf}" && grep -qe '"Oozahho1raezoh0iMee4ohvegaifahv5xaepeitaich9tahdiquaid0geecipahdauVaij3zieph4ahi";$' "${unrealircd_conf}"; then
ebegin "Generating cloak-keys"
local keys=(
- $(su ${PN} -s /bin/sh -c "${PN} -k 2>&1 | tail -n 6 | head -n 3")
+ $(su ${PN} -s "${EPREFIX}"/bin/sh -c "${PN} -k 2>&1 | tail -n 6 | head -n 3")
)
[[ -n ${keys[0]} || -n ${keys[1]} || -n ${keys[2]} ]]
eend $?
diff --git a/net-irc/weechat/Manifest b/net-irc/weechat/Manifest
index 55228873b02..4608567e141 100644
--- a/net-irc/weechat/Manifest
+++ b/net-irc/weechat/Manifest
@@ -2,3 +2,5 @@ DIST weechat-3.6.tar.xz 2716044 BLAKE2B b96cc6a8c352ff6c03429b0ef06164f02cf67c54
DIST weechat-3.6.tar.xz.asc 833 BLAKE2B d0d9952095fd7c8d5548dd56b8a3b79e6fd1c4042b8e72c91eb3d4447d5082a983852251cc6100fd7d973ddee9a9bc739c837914dd4bb1b31d3481da6b80817b SHA512 8ea778e440d5c8dab28714b4a0a8b5e1f2009a782dfdf446c1428c5c4e41564e2d98b8e1dff55c370f1195ee233b6aaafbf46bd23c89719a73df3340200a34ec
DIST weechat-3.7.1.tar.xz 2745164 BLAKE2B 021ce5dc0a0199e820cdc06d44b25157435121ae6702a6922f0950f340896a451c21a7acd81bfc88f28ad5f6b8e0ce746fb58409ee368826ab8738f628140bb1 SHA512 998ebc0a6c423bca03eeacda1eca98f2edf28687635231718c2de1e2da4fb5cb07ed5f97745b68e318668d1afec9daf27b140143d2d3f6934b26f785a6db7d49
DIST weechat-3.7.1.tar.xz.asc 833 BLAKE2B 66b324267bd654cea90032479fd66b616d54a44b4f66df36e94035a26b3afefa1104258149e2536c501967af01fc786978311a8eeacba9fee97bad973116fc86 SHA512 861b1510cb89d337f6816563eb36f32f150288e8bda20e7c34c2533d88b149a65ff9b94d607551e7f21c78320968debed6dfa0659288a58ae0e17924f948a359
+DIST weechat-3.8.tar.xz 2777420 BLAKE2B 46a2c2c5f14f1c47c0ef2c7591549e4568c1777a70c571ab6d0e5938685262a0806c1fd301eb0d840245b7df2c42a69b089d6eac82706ae5b2a8e590a910080a SHA512 f2fe125d03e9c8f8b5b03e2cdd340c6cd65c463187bd213c9128a3df19da56ae38f1a6d20a47c09606d1504448e3d554de042e33cc57b73753ce8491595ef516
+DIST weechat-3.8.tar.xz.asc 833 BLAKE2B 3db6467d5a47b86df7eca237bf2def812666fed42b9c1b968760e4999f785ba65fe84be61ae152ac5d5a3fa85953b5442f515afc244249fbc15ff94ca2a06147 SHA512 61154ef33aeb1155004975ee6688d5dcb427e0670e7463549ed0157de7be61309abb5dbad419bceb596e11f494e41a00b72e6f908ed9f02525660f7155dcc2ec
diff --git a/net-irc/weechat/weechat-3.6.ebuild b/net-irc/weechat/weechat-3.6.ebuild
index 490f7a194e6..b8c647ee3f1 100644
--- a/net-irc/weechat/weechat-3.6.ebuild
+++ b/net-irc/weechat/weechat-3.6.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
LUA_COMPAT=( lua5-{1..4} )
-PYTHON_COMPAT=( python3_{8..11} )
+PYTHON_COMPAT=( python3_{9..11} )
inherit cmake lua-single python-single-r1 xdg-utils
diff --git a/net-irc/weechat/weechat-3.7.1.ebuild b/net-irc/weechat/weechat-3.7.1.ebuild
index c56244e1ae9..11f08f88eb3 100644
--- a/net-irc/weechat/weechat-3.7.1.ebuild
+++ b/net-irc/weechat/weechat-3.7.1.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
LUA_COMPAT=( lua5-{1..4} )
-PYTHON_COMPAT=( python3_{8..11} )
+PYTHON_COMPAT=( python3_{9..11} )
inherit cmake lua-single python-single-r1 xdg-utils
@@ -17,7 +17,7 @@ else
verify-sig? ( https://weechat.org/files/src/${P}.tar.xz.asc )"
VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/weechat.org.asc
BDEPEND+="verify-sig? ( sec-keys/openpgp-keys-weechat )"
- KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 ~x64-macos"
+ KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 ~x64-macos"
fi
DESCRIPTION="Portable and multi-interface IRC client"
diff --git a/net-irc/weechat/weechat-3.8.ebuild b/net-irc/weechat/weechat-3.8.ebuild
new file mode 100644
index 00000000000..12b8e8a9bda
--- /dev/null
+++ b/net-irc/weechat/weechat-3.8.ebuild
@@ -0,0 +1,183 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-{1..4} )
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit cmake lua-single python-single-r1 xdg-utils
+
+if [[ ${PV} == "9999" ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/weechat/weechat.git"
+else
+ inherit verify-sig
+ SRC_URI="https://weechat.org/files/src/${P}.tar.xz
+ verify-sig? ( https://weechat.org/files/src/${P}.tar.xz.asc )"
+ VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/weechat.org.asc
+ BDEPEND+="verify-sig? ( sec-keys/openpgp-keys-weechat )"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 ~x64-macos"
+fi
+
+DESCRIPTION="Portable and multi-interface IRC client"
+HOMEPAGE="https://weechat.org/"
+
+LICENSE="GPL-3"
+SLOT="0/${PV}"
+
+NETWORKS="+irc"
+PLUGINS="+alias +buflist +charset +exec +fifo +fset +logger +relay +scripts +spell +trigger +typing +xfer"
+# dev-lang/v8 was dropped from Gentoo so we can't enable javascript support
+# dev-lang/php eclass support is lacking, php plugins don't work. bug #705702
+SCRIPT_LANGS="guile lua +perl +python ruby tcl"
+LANGS=" cs de es fr it ja pl ru"
+IUSE="doc man nls selinux test ${SCRIPT_LANGS} ${PLUGINS} ${INTERFACES} ${NETWORKS}"
+
+REQUIRED_USE="
+ lua? ( ${LUA_REQUIRED_USE} )
+ python? ( ${PYTHON_REQUIRED_USE} )
+ test? ( nls )
+"
+
+RDEPEND="
+ app-arch/zstd:=
+ dev-libs/libgcrypt:0=
+ net-libs/gnutls:=
+ sys-libs/ncurses:0=
+ sys-libs/zlib:=
+ net-misc/curl[ssl]
+ charset? ( virtual/libiconv )
+ guile? ( >=dev-scheme/guile-2.0 )
+ lua? ( ${LUA_DEPS} )
+ nls? ( virtual/libintl )
+ perl? ( dev-lang/perl:= )
+ python? ( ${PYTHON_DEPS} )
+ ruby? (
+ || (
+ dev-lang/ruby:3.1
+ dev-lang/ruby:3.0
+ dev-lang/ruby:2.7
+ )
+ )
+ selinux? ( sec-policy/selinux-irc )
+ spell? ( app-text/aspell )
+ tcl? ( >=dev-lang/tcl-8.4.15:0= )
+"
+
+DEPEND="${RDEPEND}
+ test? ( dev-util/cpputest )
+"
+
+BDEPEND+="
+ virtual/pkgconfig
+ doc? ( >=dev-ruby/asciidoctor-1.5.4 )
+ man? ( >=dev-ruby/asciidoctor-1.5.4 )
+ nls? ( >=sys-devel/gettext-0.15 )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.3-cmake_lua_version.patch
+)
+
+DOCS="AUTHORS.adoc ChangeLog.adoc Contributing.adoc ReleaseNotes.adoc README.adoc"
+
+RESTRICT="!test? ( test )"
+
+pkg_setup() {
+ use lua && lua-single_pkg_setup
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ cmake_src_prepare
+
+ # install only required translations
+ local i
+ for i in ${LANGS} ; do
+ if ! has ${i} ${LINGUAS-${i}} ; then
+ sed -i \
+ -e "/${i}.po/d" \
+ po/CMakeLists.txt || die
+ fi
+ done
+
+ # install only required documentation ; en always
+ for i in $(grep add_subdirectory doc/CMakeLists.txt \
+ | sed -e 's/.*add_subdirectory(\(..\)).*/\1/' -e '/en/d'); do
+ if ! has ${i} ${LINGUAS-${i}} ; then
+ sed -i \
+ -e '/add_subdirectory('${i}')/d' \
+ doc/CMakeLists.txt || die
+ fi
+ done
+
+ # install docs in correct directory
+ sed -i "s#\${DATAROOTDIR}/doc/\${PROJECT_NAME}#\0-${PVR}/html#" doc/*/CMakeLists.txt || die
+
+ if [[ ${CHOST} == *-darwin* ]]; then
+ # fix linking error on Darwin
+ sed -i "s/+ get_config_var('LINKFORSHARED')//" \
+ cmake/FindPython.cmake || die
+ # allow to find the plugins by default
+ sed -i 's/".so,.dll"/".bundle,.so,.dll"/' \
+ src/core/wee-config.c || die
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DLIBDIR="${EPREFIX}/usr/$(get_libdir)"
+ -DENABLE_JAVASCRIPT=OFF
+ -DENABLE_LARGEFILE=ON
+ -DENABLE_NCURSES=ON
+ -DENABLE_PHP=OFF
+ -DENABLE_ALIAS=$(usex alias)
+ -DENABLE_BUFLIST=$(usex buflist)
+ -DENABLE_CHARSET=$(usex charset)
+ -DENABLE_DOC=$(usex doc)
+ -DENABLE_EXEC=$(usex exec)
+ -DENABLE_FIFO=$(usex fifo)
+ -DENABLE_FSET=$(usex fset)
+ -DENABLE_GUILE=$(usex guile)
+ -DENABLE_IRC=$(usex irc)
+ -DENABLE_LOGGER=$(usex logger)
+ -DENABLE_LUA=$(usex lua)
+ -DENABLE_MAN=$(usex man)
+ -DENABLE_NLS=$(usex nls)
+ -DENABLE_PERL=$(usex perl)
+ -DENABLE_PYTHON=$(usex python)
+ -DENABLE_RELAY=$(usex relay)
+ -DENABLE_RUBY=$(usex ruby)
+ -DENABLE_SCRIPT=$(usex scripts)
+ -DENABLE_SCRIPTS=$(usex scripts)
+ -DENABLE_SPELL=$(usex spell)
+ -DENABLE_TCL=$(usex tcl)
+ -DENABLE_TESTS=$(usex test)
+ -DENABLE_TRIGGER=$(usex trigger)
+ -DENABLE_TYPING=$(usex typing)
+ -DENABLE_XFER=$(usex xfer)
+ )
+ cmake_src_configure
+}
+
+src_test() {
+ if $(locale -a | grep -iq "en_US\.utf.*8"); then
+ cmake_src_test -V
+ else
+ eerror "en_US.UTF-8 locale is required to run ${PN}'s ${FUNCNAME}"
+ die "required locale missing"
+ fi
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+ xdg_mimeinfo_database_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+ xdg_mimeinfo_database_update
+}
diff --git a/net-irc/weechat/weechat-9999.ebuild b/net-irc/weechat/weechat-9999.ebuild
index 94769bf0823..12b8e8a9bda 100644
--- a/net-irc/weechat/weechat-9999.ebuild
+++ b/net-irc/weechat/weechat-9999.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
LUA_COMPAT=( lua5-{1..4} )
-PYTHON_COMPAT=( python3_{8..11} )
+PYTHON_COMPAT=( python3_{9..11} )
inherit cmake lua-single python-single-r1 xdg-utils
diff --git a/net-irc/znc-palaver/znc-palaver-1.2.2.ebuild b/net-irc/znc-palaver/znc-palaver-1.2.2.ebuild
index fb325d4797b..62ecdbe9a22 100644
--- a/net-irc/znc-palaver/znc-palaver-1.2.2.ebuild
+++ b/net-irc/znc-palaver/znc-palaver-1.2.2.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-PYTHON_COMPAT=( python3_{8..11} )
+PYTHON_COMPAT=( python3_{9..11} )
inherit python-single-r1 toolchain-funcs
diff --git a/net-irc/znc/znc-1.8.2-r1.ebuild b/net-irc/znc/znc-1.8.2-r1.ebuild
index a3b29fce994..1f40b9dfe14 100644
--- a/net-irc/znc/znc-1.8.2-r1.ebuild
+++ b/net-irc/znc/znc-1.8.2-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{9..10} )
inherit cmake python-single-r1 readme.gentoo-r1 systemd
diff --git a/net-irc/znc/znc-1.8.2-r2.ebuild b/net-irc/znc/znc-1.8.2-r2.ebuild
index 885291374ae..39851050e99 100644
--- a/net-irc/znc/znc-1.8.2-r2.ebuild
+++ b/net-irc/znc/znc-1.8.2-r2.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-PYTHON_COMPAT=( python3_{8..11} )
+PYTHON_COMPAT=( python3_{9..11} )
inherit cmake python-single-r1 readme.gentoo-r1 systemd
diff --git a/net-irc/znc/znc-9999.ebuild b/net-irc/znc/znc-9999.ebuild
index 39f23a0ebbd..a247a1966b3 100644
--- a/net-irc/znc/znc-9999.ebuild
+++ b/net-irc/znc/znc-9999.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-PYTHON_COMPAT=( python3_{8..11} )
+PYTHON_COMPAT=( python3_{9..11} )
inherit cmake python-single-r1 readme.gentoo-r1 systemd